http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}Updates an existing MethodResponse resource.
The string identifier of the associated RestApi.
The Resource identifier for the MethodResponse resource.
The HTTP verb of the Method resource.
The status code for the MethodResponse resource.
A list of operations describing the updates to apply to the specified resource. The patches are applied in the order specified in the list.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}Updates an existing MethodResponse resource.
The string identifier of the associated RestApi.
The Resource identifier for the MethodResponse resource.
The HTTP verb of the Method resource.
The status code for the MethodResponse resource.
A list of operations describing the updates to apply to the specified resource. The patches are applied in the order specified in the list.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}